Bug 885752 - RFE: Ability to configure custom bug link targets on a per book basis, including access.redhat.com
Summary: RFE: Ability to configure custom bug link targets on a per book basis, includ...
Keywords:
Status: NEW
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: pressgang-ccms-dev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 885689
TreeView+ depends on / blocked
 
Reported: 2012-12-10 14:45 UTC by Stephen Gordon
Modified: 2018-09-21 23:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Stephen Gordon 2012-12-10 14:45:47 UTC
Description of problem:

While Bugzilla is a convenient target for the bug links on an organizational level it is not supposed to be a customer support tool. Customers are instead told to only raise cases via access.redhat.com [1].

I've discussed the pros and cons of this with one of the RHEV PMs (simong) and for now we're actually happy to keep the bug links but it would be nice to have the option to have different targets in future if we reconsider.

I am not sure if the new cases page would allow us to record the additional details we get via the bug links query string currently.

[1] https://access.redhat.com/support/cases/new

Comment 1 Stephen Gordon 2012-12-10 15:22:48 UTC
Possibly duplicates Bug # 885752 though it seems to conflate multiple different different issues.

Comment 2 Lee Newson 2012-12-10 21:58:50 UTC
This is basically a duplicate of Bug #798837 (I assume that's the one you meant to mention Steve). As of this stage I believe that, that bug has been rejected. However since this is still a Red Hat based reporting system it might be different, but that decision will be up to Matt, Misty or Darrin.

Comment 3 Lee Newson 2012-12-10 22:12:23 UTC
Another thing from my point of view after a quick glance at the support case system. It seems to be very much based around asking for support with installation or functionality issues with products and doesn't appear to be very relevant to a an issue with documentation.

I also believe that any issues raised against the portal will be sent to GSS, which I'm assuming we wouldn't want. It also appears, as you mentioned, that you wouldn't be able to pre-populate any fields.

Another thing worth mentioning in-case you do decide to remove the bug links they can be turned off via a metadata field in a content spec. eg

Bug Links = Off

or at build time via the command line with the "--hide-bug-links" option.

Comment 4 Stephen Gordon 2012-12-11 00:02:02 UTC
I'm aware of the ability to turn the bug links off but that is not what we're after here. The point made by the SA who raised this with me is that Bugzilla is not supposed to be a customer support tool.

The theory is that cases are raised and then frontline staff route appropriately. If a documentation bug needs to be raised (either incidentally or as the sole reason for having the case) then the GSS personnel raise it and attach the case to the bug (and vice versa) in theory raising the priority of it.

I'm not saying I necessarily agree with all of that, but the original point (that the official line is that Bugzilla is not meant to be a customer support tool - even though ECS and engineering as a whole have traditionally used it as one) is valid and that's been the case for sometime with efforts being made to push customers to the case management system where there is more tracking of what value they are/aren't getting from our primary product (support). I'd like to have some options here.

Comment 5 Stephen Gordon 2012-12-20 14:27:20 UTC
Further to the above it's been pointed out to me that RHEVM bugzilla remains restricted precisely to prevent customers filing bugs rather than raising a case. 

So while the 'Report a Bug' links are garnering good feedback from Red Hat associates, they aren't usable by external parties, if they linked to the customer portal we would have a better chance of success here.


Note You need to log in before you can comment on or make changes to this bug.